Subject: Offline Message from Aisha: Dears, Regarding order #9554757752 I was surpr
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 06 Jul 2020 01:06:37 -0000

From: Aisha <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/enozR0hzbkVsRWNNMWJieGt0Vm0wZz09/key/2/
Department: 

Dears, 

Regarding order #9554757752

I was surprised when I just checked the status of my order and it is labeled as DELIVERED!
I did not receive the order.

Last Saturday I received a call from DHL that they have my shipment ready to be delivered and I should pay customs fees to receive it. I refused to pay at first, since no extra charges was mentioned while purchasing my order, but because I failed to reach Mumzworld’s support at that moment and I really needed the items I paid the amount and I was planning to contact Mumzworld for the refund.

However, when I received the shipment from DHL with my name, it turned out that it is not my order and I assumed it was a gift Mumzworld. It contains two mugs for the “Mother Day” + Small Argan oil!

To summarize:
1. I did not receive my order!
2. I want a refund for the 45 SAR customs fees.
3. If the shipment which I received is not a gift and it is not meant to be delivered to me, please ask the delivery service to collect it back, it is still at its original condition.

Thanks.
Aisha

----
Zopim
https://www.zopim.com